Cannot login after updating openedx docker image

Hello,

I am unable to login after I updated the openedx docker image to update the theme in our staging server. Here is the (successful) workflow run to build the image with the custom theme: build openedx container · martibosch/acl-tutor-do@2564f81 · GitHub

I then ran tutor config save --set DOCKER_IMAGE_OPENEDX=ghcr.io/martibosch/openedx:15.1.0-202212151334 followed by tutor local stop and tutor local start -d.

Now, when I try to login in the web interface, I get the following error:

We couldn't sign you in.

* An error has occurred. Try refreshing the page, or check your Internet connection.

The LMS logs may point to an CORS issue or database column error (see full logs below), yet it is wierd that this does not happen in our production server (using the previous build build from build openedx container · martibosch/acl-tutor-do@27aa60f · GitHub). Full logs:

tutor_local-lms-1  | 2022-12-15 16:15:47,098 INFO 25 [tracking] [user None] [ip 194.230.158.119] logger.py:41 - {"name": "/", "context": {"user_id": null, "path": "/", "course_id": "", "org_id": "", "enterprise_uuid": ""}, "username": "", "session": "", "ip": "194.230.158.119", "agent": "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/107.0.0.0 Safari/537.36", "host": "courses-staging.africancitieslab.org", "referer": "", "accept_language": "en-US,en;q=0.6", "event": "{\"GET\": {}, \"POST\": {}}", "time": "2022-12-15T16:15:47.097435+00:00", "event_type": "/", "event_source": "server", "page": null}
tutor_local-lms-1  | [pid: 25|app: 0|req: 1/4] 172.19.0.18 () {52 vars in 1149 bytes} [Thu Dec 15 16:15:47 2022] GET / => generated 12234 bytes in 2156 msecs (HTTP/1.1 200) 7 headers in 686 bytes (1 switches on core 0)
tutor_local-lms-1  | [pid: 26|app: -1|req: -1/5] 172.19.0.18 () {52 vars in 1292 bytes} [Thu Dec 15 16:15:49 2022] GET /static/acl-indigo-theme/images/logo-white.b6ca87ee4223.png => generated 0 bytes in 0 msecs (HTTP/1.1 304) 0 headers in 29 bytes (0 switches on core 0)
tutor_local-lms-1  | [pid: 27|app: -1|req: -1/6] 172.19.0.18 () {54 vars in 1374 bytes} [Thu Dec 15 16:15:49 2022] GET /static/acl-indigo-theme/fonts/gotham/Gotham-LightItalic.bd50b5e6ff6f.woff2 => generated 0 bytes in 0 msecs (HTTP/1.1 304) 0 headers in 29 bytes (0 switches on core 0)
tutor_local-lms-1  | [pid: 6|app: -1|req: -1/7] 172.19.0.18 () {52 vars in 1207 bytes} [Thu Dec 15 16:15:49 2022] GET /static/js/dateutil_factory.a28baef97506.js?raw => generated 0 bytes in 0 msecs (HTTP/1.1 304) 0 headers in 29 bytes (0 switches on core 0)
tutor_local-lms-1  | 2022-12-15 16:15:51,548 INFO 28 [openedx.core.djangoapps.cors_csrf.helpers] [user None] [ip 194.230.158.119] helpers.py:64 - Origin 'https://courses-staging.africancitieslab.org' was not in `CORS_ORIGIN_WHITELIST`; full referer was 'https://courses-staging.africancitieslab.org/' and requested host was 'courses-staging.africancitieslab.org'; CORS_ORIGIN_ALLOW_ALL=False
tutor_local-lms-1  | [pid: 28|app: 0|req: 1/8] 172.19.0.18 () {54 vars in 1244 bytes} [Thu Dec 15 16:15:50 2022] GET /login?next=%2F => generated 42153 bytes in 2132 msecs (HTTP/1.1 200) 9 headers in 967 bytes (1 switches on core 0)
tutor_local-lms-1  | 2022-12-15 16:15:56,149 INFO 22 [tracking] [user None] [ip 194.230.158.119] logger.py:41 - {"name": "/api/user/v1/account/login_session/", "context": {"user_id": null, "path": "/api/user/v1/account/login_session/", "course_id": "", "org_id": "", "enterprise_uuid": ""}, "username": "", "session": "46d2296f885384c3b8b7fd07b11b8a70", "ip": "194.230.158.119", "agent": "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/107.0.0.0 Safari/537.36", "host": "courses-staging.africancitieslab.org", "referer": "https://courses-staging.africancitieslab.org/login?next=%2F", "accept_language": "en-US,en;q=0.6", "event": "{\"GET\": {}, \"POST\": {\"email\": [\"marti.bosch@epfl.ch\"], \"password\": \"********\"}}", "time": "2022-12-15T16:15:56.148515+00:00", "event_type": "/api/user/v1/account/login_session/", "event_source": "server", "page": null}
tutor_local-lms-1  | 2022-12-15 16:15:56,154 INFO 22 [openedx.core.djangoapps.cors_csrf.helpers] [user None] [ip 194.230.158.119] helpers.py:64 - Origin 'https://courses-staging.africancitieslab.org' was not in `CORS_ORIGIN_WHITELIST`; full referer was 'https://courses-staging.africancitieslab.org/login?next=%2F' and requested host was 'courses-staging.africancitieslab.org'; CORS_ORIGIN_ALLOW_ALL=False
tutor_local-lms-1  | 2022-12-15 16:15:56,419 INFO 22 [audit] [user 4] [ip 194.230.158.119] models.py:2867 - Login success - user.id: 4
tutor_local-lms-1  | 2022-12-15 16:15:56,426 CRITICAL 22 [audit] [user 4] [ip 194.230.158.119] login.py:332 - Login failed - Could not create session. Is memcached running?
tutor_local-lms-1  | 2022-12-15 16:15:56,427 CRITICAL 22 [edx.student] [user 4] [ip 194.230.158.119] login.py:333 - Login failed - Could not create session. Is memcached running?
tutor_local-lms-1  | 2022-12-15 16:15:56,427 ERROR 22 [edx.student] [user 4] [ip 194.230.158.119] login.py:334 - (1054, "Unknown column 'enterprise_enterprisecustomeruser.is_relinkable' in 'field list'")
tutor_local-lms-1  | Traceback (most recent call last):
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/db/backends/utils.py", line 84, in _execute
tutor_local-lms-1  |     return self.cursor.execute(sql, params)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/db/backends/mysql/base.py", line 73, in execute
tutor_local-lms-1  |     return self.cursor.execute(query, args)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/MySQLdb/cursors.py", line 206, in execute
tutor_local-lms-1  |     res = self._query(query)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/MySQLdb/cursors.py", line 319, in _query
tutor_local-lms-1  |     db.query(q)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/MySQLdb/connections.py", line 254, in query
tutor_local-lms-1  |     _mysql.connection.query(self, query)
tutor_local-lms-1  | MySQLdb.OperationalError: (1054, "Unknown column 'enterprise_enterprisecustomeruser.is_relinkable' in 'field list'")
tutor_local-lms-1  | 
tutor_local-lms-1  | The above exception was the direct cause of the following exception:
tutor_local-lms-1  | 
tutor_local-lms-1  | Traceback (most recent call last):
tutor_local-lms-1  |   File "/openedx/edx-platform/./openedx/core/djangoapps/user_authn/views/login.py", line 315, in _handle_successful_authentication_and_login
tutor_local-lms-1  |     django_login(request, user)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/contrib/auth/__init__.py", line 135, in login
tutor_local-lms-1  |     user_logged_in.send(sender=user.__class__, request=request, user=user)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/dispatch/dispatcher.py", line 180, in send
tutor_local-lms-1  |     return [
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/dispatch/dispatcher.py", line 181, in <listcomp>
tutor_local-lms-1  |     (receiver, receiver(signal=self, sender=sender, **named))
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/contrib/auth/models.py", line 22, in update_last_login
tutor_local-lms-1  |     user.save(update_fields=['last_login'])
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/contrib/auth/base_user.py", line 67, in save
tutor_local-lms-1  |     super().save(*args, **kwargs)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/db/models/base.py", line 739, in save
tutor_local-lms-1  |     self.save_base(using=using, force_insert=force_insert,
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/db/models/base.py", line 787, in save_base
tutor_local-lms-1  |     post_save.send(
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/dispatch/dispatcher.py", line 180, in send
tutor_local-lms-1  |     return [
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/dispatch/dispatcher.py", line 181, in <listcomp>
tutor_local-lms-1  |     (receiver, receiver(signal=self, sender=sender, **named))
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/enterprise/decorators.py", line 87, in wrapper
tutor_local-lms-1  |     signal_handler(*args, **kwargs)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/enterprise/signals.py", line 82, in handle_user_post_save
tutor_local-lms-1  |     for enterprise_customer_user in enterprise_customer_users:
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/db/models/query.py", line 280, in __iter__
tutor_local-lms-1  |     self._fetch_all()
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/db/models/query.py", line 1324, in _fetch_all
tutor_local-lms-1  |     self._result_cache = list(self._iterable_class(self))
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/db/models/query.py", line 51, in __iter__
tutor_local-lms-1  |     results = compiler.execute_sql(chunked_fetch=self.chunked_fetch, chunk_size=self.chunk_size)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/db/models/sql/compiler.py", line 1175, in execute_sql
tutor_local-lms-1  |     cursor.execute(sql, params)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/db/backends/utils.py", line 66, in execute
tutor_local-lms-1  |     return self._execute_with_wrappers(sql, params, many=False, executor=self._execute)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/db/backends/utils.py", line 75, in _execute_with_wrappers
tutor_local-lms-1  |     return executor(sql, params, many, context)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/db/backends/utils.py", line 84, in _execute
tutor_local-lms-1  |     return self.cursor.execute(sql, params)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/db/utils.py", line 90, in __exit__
tutor_local-lms-1  |     raise dj_exc_value.with_traceback(traceback) from exc_value
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/db/backends/utils.py", line 84, in _execute
tutor_local-lms-1  |     return self.cursor.execute(sql, params)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/db/backends/mysql/base.py", line 73, in execute
tutor_local-lms-1  |     return self.cursor.execute(query, args)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/MySQLdb/cursors.py", line 206, in execute
tutor_local-lms-1  |     res = self._query(query)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/MySQLdb/cursors.py", line 319, in _query
tutor_local-lms-1  |     db.query(q)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/MySQLdb/connections.py", line 254, in query
tutor_local-lms-1  |     _mysql.connection.query(self, query)
tutor_local-lms-1  | django.db.utils.OperationalError: (1054, "Unknown column 'enterprise_enterprisecustomeruser.is_relinkable' in 'field list'")
tutor_local-lms-1  | 2022-12-15 16:15:56,434 ERROR 22 [root] [user None] [ip None] signals.py:22 - Uncaught exception from None
tutor_local-lms-1  | Traceback (most recent call last):
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/db/backends/utils.py", line 84, in _execute
tutor_local-lms-1  |     return self.cursor.execute(sql, params)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/db/backends/mysql/base.py", line 73, in execute
tutor_local-lms-1  |     return self.cursor.execute(query, args)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/MySQLdb/cursors.py", line 206, in execute
tutor_local-lms-1  |     res = self._query(query)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/MySQLdb/cursors.py", line 319, in _query
tutor_local-lms-1  |     db.query(q)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/MySQLdb/connections.py", line 254, in query
tutor_local-lms-1  |     _mysql.connection.query(self, query)
tutor_local-lms-1  | MySQLdb.OperationalError: (1054, "Unknown column 'enterprise_enterprisecustomeruser.is_relinkable' in 'field list'")
tutor_local-lms-1  | 
tutor_local-lms-1  | The above exception was the direct cause of the following exception:
tutor_local-lms-1  | 
tutor_local-lms-1  | Traceback (most recent call last):
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/core/handlers/exception.py", line 47, in inner
tutor_local-lms-1  |     response = get_response(request)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/core/handlers/base.py", line 181, in _get_response
tutor_local-lms-1  |     response = wrapped_callback(request, *callback_args, **callback_kwargs)
tutor_local-lms-1  |   File "/opt/pyenv/versions/3.8.12/lib/python3.8/contextlib.py", line 75, in inner
tutor_local-lms-1  |     return func(*args, **kwds)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/views/decorators/csrf.py", line 54, in wrapped_view
tutor_local-lms-1  |     return view_func(*args, **kwargs)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/views/generic/base.py", line 70, in view
tutor_local-lms-1  |     return self.dispatch(request, *args, **kwargs)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/utils/decorators.py", line 43, in _wrapper
tutor_local-lms-1  |     return bound_method(*args, **kwargs)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/views/decorators/debug.py", line 89, in sensitive_post_parameters_wrapper
tutor_local-lms-1  |     return view(request, *args, **kwargs)
tutor_local-lms-1  |   File "/openedx/edx-platform/./openedx/core/djangoapps/user_authn/views/login.py", line 722, in dispatch
tutor_local-lms-1  |     return super().dispatch(request, *args, **kwargs)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/rest_framework/views.py", line 509, in dispatch
tutor_local-lms-1  |     response = self.handle_exception(exc)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/rest_framework/views.py", line 469, in handle_exception
tutor_local-lms-1  |     self.raise_uncaught_exception(exc)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/rest_framework/views.py", line 480, in raise_uncaught_exception
tutor_local-lms-1  |     raise exc
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/rest_framework/views.py", line 506, in dispatch
tutor_local-lms-1  |     response = handler(request, *args, **kwargs)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/utils/decorators.py", line 43, in _wrapper
tutor_local-lms-1  |     return bound_method(*args, **kwargs)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/utils/decorators.py", line 130, in _wrapped_view
tutor_local-lms-1  |     response = view_func(request, *args, **kwargs)
tutor_local-lms-1  |   File "/openedx/edx-platform/./openedx/core/djangoapps/user_authn/views/login.py", line 718, in post
tutor_local-lms-1  |     return login_user(request, api_version)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/utils/decorators.py", line 130, in _wrapped_view
tutor_local-lms-1  |     response = view_func(request, *args, **kwargs)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/views/decorators/http.py", line 40, in inner
tutor_local-lms-1  |     return func(request, *args, **kwargs)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/ratelimit/decorators.py", line 24, in _wrapped
tutor_local-lms-1  |     return fn(request, *args, **kw)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/ratelimit/decorators.py", line 24, in _wrapped
tutor_local-lms-1  |     return fn(request, *args, **kw)
tutor_local-lms-1  |   File "/openedx/edx-platform/./openedx/core/djangoapps/user_authn/views/login.py", line 606, in login_user
tutor_local-lms-1  |     _handle_successful_authentication_and_login(possibly_authenticated_user, request)
tutor_local-lms-1  |   File "/openedx/edx-platform/./openedx/core/djangoapps/user_authn/views/login.py", line 315, in _handle_successful_authentication_and_login
tutor_local-lms-1  |     django_login(request, user)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/contrib/auth/__init__.py", line 135, in login
tutor_local-lms-1  |     user_logged_in.send(sender=user.__class__, request=request, user=user)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/dispatch/dispatcher.py", line 180, in send
tutor_local-lms-1  |     return [
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/dispatch/dispatcher.py", line 181, in <listcomp>
tutor_local-lms-1  |     (receiver, receiver(signal=self, sender=sender, **named))
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/contrib/auth/models.py", line 22, in update_last_login
tutor_local-lms-1  |     user.save(update_fields=['last_login'])
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/contrib/auth/base_user.py", line 67, in save
tutor_local-lms-1  |     super().save(*args, **kwargs)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/db/models/base.py", line 739, in save
tutor_local-lms-1  |     self.save_base(using=using, force_insert=force_insert,
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/db/models/base.py", line 787, in save_base
tutor_local-lms-1  |     post_save.send(
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/dispatch/dispatcher.py", line 180, in send
tutor_local-lms-1  |     return [
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/dispatch/dispatcher.py", line 181, in <listcomp>
tutor_local-lms-1  |     (receiver, receiver(signal=self, sender=sender, **named))
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/enterprise/decorators.py", line 87, in wrapper
tutor_local-lms-1  |     signal_handler(*args, **kwargs)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/enterprise/signals.py", line 82, in handle_user_post_save
tutor_local-lms-1  |     for enterprise_customer_user in enterprise_customer_users:
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/db/models/query.py", line 280, in __iter__
tutor_local-lms-1  |     self._fetch_all()
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/db/models/query.py", line 1324, in _fetch_all
tutor_local-lms-1  |     self._result_cache = list(self._iterable_class(self))
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/db/models/query.py", line 51, in __iter__
tutor_local-lms-1  |     results = compiler.execute_sql(chunked_fetch=self.chunked_fetch, chunk_size=self.chunk_size)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/db/models/sql/compiler.py", line 1175, in execute_sql
tutor_local-lms-1  |     cursor.execute(sql, params)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/db/backends/utils.py", line 66, in execute
tutor_local-lms-1  |     return self._execute_with_wrappers(sql, params, many=False, executor=self._execute)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/db/backends/utils.py", line 75, in _execute_with_wrappers
tutor_local-lms-1  |     return executor(sql, params, many, context)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/db/backends/utils.py", line 84, in _execute
tutor_local-lms-1  |     return self.cursor.execute(sql, params)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/db/utils.py", line 90, in __exit__
tutor_local-lms-1  |     raise dj_exc_value.with_traceback(traceback) from exc_value
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/db/backends/utils.py", line 84, in _execute
tutor_local-lms-1  |     return self.cursor.execute(sql, params)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/db/backends/mysql/base.py", line 73, in execute
tutor_local-lms-1  |     return self.cursor.execute(query, args)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/MySQLdb/cursors.py", line 206, in execute
tutor_local-lms-1  |     res = self._query(query)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/MySQLdb/cursors.py", line 319, in _query
tutor_local-lms-1  |     db.query(q)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/MySQLdb/connections.py", line 254, in query
tutor_local-lms-1  |     _mysql.connection.query(self, query)
tutor_local-lms-1  | django.db.utils.OperationalError: (1054, "Unknown column 'enterprise_enterprisecustomeruser.is_relinkable' in 'field list'")
tutor_local-lms-1  | 2022-12-15 16:15:56,488 ERROR 22 [django.request] [user 4] [ip 194.230.158.119] log.py:224 - Internal Server Error: /api/user/v1/account/login_session/
tutor_local-lms-1  | Traceback (most recent call last):
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/db/backends/utils.py", line 84, in _execute
tutor_local-lms-1  |     return self.cursor.execute(sql, params)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/db/backends/mysql/base.py", line 73, in execute
tutor_local-lms-1  |     return self.cursor.execute(query, args)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/MySQLdb/cursors.py", line 206, in execute
tutor_local-lms-1  |     res = self._query(query)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/MySQLdb/cursors.py", line 319, in _query
tutor_local-lms-1  |     db.query(q)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/MySQLdb/connections.py", line 254, in query
tutor_local-lms-1  |     _mysql.connection.query(self, query)
tutor_local-lms-1  | MySQLdb.OperationalError: (1054, "Unknown column 'enterprise_enterprisecustomeruser.is_relinkable' in 'field list'")
tutor_local-lms-1  | 
tutor_local-lms-1  | The above exception was the direct cause of the following exception:
tutor_local-lms-1  | 
tutor_local-lms-1  | Traceback (most recent call last):
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/core/handlers/exception.py", line 47, in inner
tutor_local-lms-1  |     response = get_response(request)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/core/handlers/base.py", line 181, in _get_response
tutor_local-lms-1  |     response = wrapped_callback(request, *callback_args, **callback_kwargs)
tutor_local-lms-1  |   File "/opt/pyenv/versions/3.8.12/lib/python3.8/contextlib.py", line 75, in inner
tutor_local-lms-1  |     return func(*args, **kwds)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/views/decorators/csrf.py", line 54, in wrapped_view
tutor_local-lms-1  |     return view_func(*args, **kwargs)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/views/generic/base.py", line 70, in view
tutor_local-lms-1  |     return self.dispatch(request, *args, **kwargs)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/utils/decorators.py", line 43, in _wrapper
tutor_local-lms-1  |     return bound_method(*args, **kwargs)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/views/decorators/debug.py", line 89, in sensitive_post_parameters_wrapper
tutor_local-lms-1  |     return view(request, *args, **kwargs)
tutor_local-lms-1  |   File "/openedx/edx-platform/./openedx/core/djangoapps/user_authn/views/login.py", line 722, in dispatch
tutor_local-lms-1  |     return super().dispatch(request, *args, **kwargs)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/rest_framework/views.py", line 509, in dispatch
tutor_local-lms-1  |     response = self.handle_exception(exc)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/rest_framework/views.py", line 469, in handle_exception
tutor_local-lms-1  |     self.raise_uncaught_exception(exc)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/rest_framework/views.py", line 480, in raise_uncaught_exception
tutor_local-lms-1  |     raise exc
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/rest_framework/views.py", line 506, in dispatch
tutor_local-lms-1  |     response = handler(request, *args, **kwargs)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/utils/decorators.py", line 43, in _wrapper
tutor_local-lms-1  |     return bound_method(*args, **kwargs)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/utils/decorators.py", line 130, in _wrapped_view
tutor_local-lms-1  |     response = view_func(request, *args, **kwargs)
tutor_local-lms-1  |   File "/openedx/edx-platform/./openedx/core/djangoapps/user_authn/views/login.py", line 718, in post
tutor_local-lms-1  |     return login_user(request, api_version)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/utils/decorators.py", line 130, in _wrapped_view
tutor_local-lms-1  |     response = view_func(request, *args, **kwargs)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/views/decorators/http.py", line 40, in inner
tutor_local-lms-1  |     return func(request, *args, **kwargs)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/ratelimit/decorators.py", line 24, in _wrapped
tutor_local-lms-1  |     return fn(request, *args, **kw)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/ratelimit/decorators.py", line 24, in _wrapped
tutor_local-lms-1  |     return fn(request, *args, **kw)
tutor_local-lms-1  |   File "/openedx/edx-platform/./openedx/core/djangoapps/user_authn/views/login.py", line 606, in login_user
tutor_local-lms-1  |     _handle_successful_authentication_and_login(possibly_authenticated_user, request)
tutor_local-lms-1  |   File "/openedx/edx-platform/./openedx/core/djangoapps/user_authn/views/login.py", line 315, in _handle_successful_authentication_and_login
tutor_local-lms-1  |     django_login(request, user)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/contrib/auth/__init__.py", line 135, in login
tutor_local-lms-1  |     user_logged_in.send(sender=user.__class__, request=request, user=user)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/dispatch/dispatcher.py", line 180, in send
tutor_local-lms-1  |     return [
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/dispatch/dispatcher.py", line 181, in <listcomp>
tutor_local-lms-1  |     (receiver, receiver(signal=self, sender=sender, **named))
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/contrib/auth/models.py", line 22, in update_last_login
tutor_local-lms-1  |     user.save(update_fields=['last_login'])
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/contrib/auth/base_user.py", line 67, in save
tutor_local-lms-1  |     super().save(*args, **kwargs)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/db/models/base.py", line 739, in save
tutor_local-lms-1  |     self.save_base(using=using, force_insert=force_insert,
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/db/models/base.py", line 787, in save_base
tutor_local-lms-1  |     post_save.send(
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/dispatch/dispatcher.py", line 180, in send
tutor_local-lms-1  |     return [
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/dispatch/dispatcher.py", line 181, in <listcomp>
tutor_local-lms-1  |     (receiver, receiver(signal=self, sender=sender, **named))
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/enterprise/decorators.py", line 87, in wrapper
tutor_local-lms-1  |     signal_handler(*args, **kwargs)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/enterprise/signals.py", line 82, in handle_user_post_save
tutor_local-lms-1  |     for enterprise_customer_user in enterprise_customer_users:
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/db/models/query.py", line 280, in __iter__
tutor_local-lms-1  |     self._fetch_all()
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/db/models/query.py", line 1324, in _fetch_all
tutor_local-lms-1  |     self._result_cache = list(self._iterable_class(self))
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/db/models/query.py", line 51, in __iter__
tutor_local-lms-1  |     results = compiler.execute_sql(chunked_fetch=self.chunked_fetch, chunk_size=self.chunk_size)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/db/models/sql/compiler.py", line 1175, in execute_sql
tutor_local-lms-1  |     cursor.execute(sql, params)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/db/backends/utils.py", line 66, in execute
tutor_local-lms-1  |     return self._execute_with_wrappers(sql, params, many=False, executor=self._execute)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/db/backends/utils.py", line 75, in _execute_with_wrappers
tutor_local-lms-1  |     return executor(sql, params, many, context)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/db/backends/utils.py", line 84, in _execute
tutor_local-lms-1  |     return self.cursor.execute(sql, params)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/db/utils.py", line 90, in __exit__
tutor_local-lms-1  |     raise dj_exc_value.with_traceback(traceback) from exc_value
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/db/backends/utils.py", line 84, in _execute
tutor_local-lms-1  |     return self.cursor.execute(sql, params)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/django/db/backends/mysql/base.py", line 73, in execute
tutor_local-lms-1  |     return self.cursor.execute(query, args)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/MySQLdb/cursors.py", line 206, in execute
tutor_local-lms-1  |     res = self._query(query)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/MySQLdb/cursors.py", line 319, in _query
tutor_local-lms-1  |     db.query(q)
tutor_local-lms-1  |   File "/openedx/venv/lib/python3.8/site-packages/MySQLdb/connections.py", line 254, in query
tutor_local-lms-1  |     _mysql.connection.query(self, query)
tutor_local-lms-1  | django.db.utils.OperationalError: (1054, "Unknown column 'enterprise_enterprisecustomeruser.is_relinkable' in 'field list'")
tutor_local-lms-1  | [pid: 22|app: 0|req: 2/9] 172.19.0.18 () {60 vars in 1406 bytes} [Thu Dec 15 16:15:56 2022] POST /api/user/v1/account/login_session/ => generated 10696 bytes in 570 msecs (HTTP/1.1 500) 8 headers in 555 bytes (1 switches on core 0)

Any clue of the error?
Thank you. Best,
Martí